#ifndef _MC_SIMPLE
#define _MC_SIMPLE

/* mediaclient simple interface, fd's need to be opened with net_open and closed with net_close */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
#include <sys/ioctl.h>
#include <sys/errno.h>
#include <fcntl.h>
#include <getopt.h>
#include <sys/stat.h>
#include <string.h>
#include "frontend.h"
#include "mediaclient.h"
#include "videodev2.h"

int set_mute(int fd, char *arg);
int ir_enum_devices(int fd);
int ir_set_rc(int fd, int id);
int ir_read_rc(int fd);
int media_print_clients(int fd, char *name);
int media_list_clients();
int print_driver_info(char *device);
int enum_devices(int fd);
int set_intaudio(int fd, uint8_t *opt);
int get_properties(int fd);
int set_dtvmode(int fd, uint8_t *mode);
int set_dvbc_channel(int fd, uint32_t frequency, uint32_t symbol_rate, uint8_t *modulation);
int set_isdbt_channel(int fd, uint32_t frequency);
int set_dvbt_channel(int fd, uint32_t frequency, uint32_t bandwidth);
int set_atsc_channel(int fd, uint32_t frequency);
int set_atsc_qam_channel(int fd, uint32_t frequency, uint8_t *modulation);
int dvb_list_pids(int fd);
int dvb_add_pids(int fd, uint16_t pid);
int dvb_del_pid(int fd, uint16_t pid);
int dvb_flushpids(int fd);
int dvb_hw_pidfilter(int fd, int enable);
int set_radio_channel(int fd, int frequency, int tuner);
int set_atv_channel(int fd, int frequency, char *standard);
int atv_list_standards(int fd);
int atv_list_inputs(int fd);
int atv_list_areas(int fd);
int atv_set_area(int fd, uint8_t *area);
int atv_set_vmode(int fd, uint8_t *vmode, v4l2_std_id *id);
int atv_set_input(int fd, uint8_t *input);
int get_lock(int fd);
int get_analog_lock(int fd);
int v4l_set_vfilter(int fd, char *vfilter);
int v4l_set_vfilterid(int fd, int id);
int media_disconnect_process(pid_t process);
int media_unmount_device(uint8_t *path);
int media_mount_device(uint8_t *path);
int media_add_dummy();
int media_del_dummy(int id);
int media_enablenetwork(char *flag);
int set_apiversion(char *apiversion);
int set_signalstatistics(int option);
int read_signal(int times, char *device);
int media_set_crc(char *state);
int media_set_loglevel(char *loglevel);
int set_audiothreshold(int threshold);
int media_set_transfermode(char *path, char *mode);
int media_set_nullpackets(char *path, char *mode);
int net_enabledreambox(char *enabledreambox);
int net_disabledreambox(char *disabledreambox);

/* void *media_scan_network
   ARGS:
   scanlist: 1 allocate deviceobject
             0 visible scan only
*/
void *media_scan_network(int scanlist);
/* int media_scan_info
   ARGS:
   argv: deviceobject
   id: deviceid
   identifier: "devicename", "ip", "deviceid"
   retval: char pointer to char array for return value, will return
           to char element of deviceobject, do not free
*/
int media_scan_info(void *argv, int id, char *identifier, char **retval);
/* int media_scan_free
   ARGS:
   pointer to device object for deallocation
*/
int media_scan_free(void **arg);
#endif
